#!/usr/bin/env python
# -*- coding: utf-8 -*-

# import required modules
import time
import subprocess
import RPi.GPIO as GPIO

# set GPIO pin with connected button & leds
GPIOPinButton = 22
GPIOLedPin = 17

# blinking function
def blink():
    GPIO.output(GPIOLedPin,GPIO.HIGH)
    time.sleep(1)
    GPIO.output(GPIOLedPin,GPIO.LOW)
    time.sleep(1)

# main function
def main():
  while True:
    # increment value if button is pressed
    if GPIO.input(GPIOPinButton):
      blink()
    # wait 500ms
    time.sleep(0.5)

if __name__ == '__main__':
  # use GPIO pin numbering convention
  GPIO.setmode(GPIO.BCM)

  # set up GPIO pin for input and output
  GPIO.setup(GPIOLedPin, GPIO.OUT)
  GPIO.setup(GPIOPinButton, GPIO.IN, pull_up_down=GPIO.PUD_UP)

  # call main function
  try:
    main()
  except KeyboardInterrupt:
    GPIO.cleanup()
